(define (script-fu-create-layers-kleine-beere img layer prefix)
    (set! width (car (gimp-drawable-width layer)))
    (set! height (car (gimp-drawable-height layer)))

    (if (eqv? prefix "")
        (set! layer-prefix "")
        (set! layer-prefix (string-append prefix " "))
    )

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Brown") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Red") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Hair") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Eyes") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Mouth") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Skin") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - Pink") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Kleine Beere - White") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)
)

(script-fu-register
    "script-fu-create-layers-kleine-beere"
    "<Image>/Script-Fu/陰陽師/レイヤーセット雛苺"
    "Create layers for Kleine Beere"
    "Penguin GIMPer"
    "Penguin GIMPer"
    "Jul 2007"
    "RGB*"
    SF-IMAGE        "Image"     0
    SF-DRAWABLE     "Drawable"  0
    SF-STRING       "Layer Name Prefix" "")
